Package org.spongepowered.asm.util

## Class ObfuscationUtil

- java.lang.Object
- - org.spongepowered.asm.util.ObfuscationUtil

    public abstract class ObfuscationUtil
    extends java.lang.Object

Utility methods for obfuscation tasks

### Nested Class Summary

Nested Classes
`static interface` `ObfuscationUtil.IClassRemapper` Interface for remapper proxies

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `mapDescriptor​(java.lang.String desc, ObfuscationUtil.IClassRemapper remapper)` Map a descriptor using the supplied rempper
`static java.lang.String` `unmapDescriptor​(java.lang.String desc, ObfuscationUtil.IClassRemapper remapper)` Unmap (inverse of map) a descriptor using the supplied rempper

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### mapDescriptor

    public static java.lang.String mapDescriptor​(java.lang.String desc,
                                                 ObfuscationUtil.IClassRemapper remapper)

Map a descriptor using the supplied rempper

Parameters:
  `desc` - descriptor to remap
  `remapper` - remapper to use
Returns:
  mapped descriptor

#### unmapDescriptor

    public static java.lang.String unmapDescriptor​(java.lang.String desc,
                                                   ObfuscationUtil.IClassRemapper remapper)

Unmap (inverse of map) a descriptor using the supplied rempper

Parameters:
  `desc` - descriptor to unmap
  `remapper` - remapper to use
Returns:
  unmapped descriptor